jailbroken phone + installing 2.1 after = problem

Discussion in 'iPhone Tips, Help and Troubleshooting' started by thetornskirt, Feb 12, 2009.

  1. thetornskirt macrumors newbie

    Joined:
    Jan 28, 2009
    #1
    one of the applications i bought wasn't working with my jailbroken iphone and stupid me decided to install 2.1 thinking that it couldn't un-jailbreak my phone. now that one application works but my phone appears to be un-jailbroken. my settings are gone, cydia and winterboard are gone too.

    anyway, do i have to jailbreak my iphone all over again?

    any help or direction you could give me would be greatly appreciated. :/
     
  2. bytethese macrumors 68030

    bytethese

    Joined:
    Jun 20, 2007
    Location:
    Cranford, NJ
    #2
    Yes, of course you do. Anytime you upgrade the firmware, or downgrade I guess, if you want it jailbroken, you need to jailbreak. :)
     
  3. thetornskirt thread starter macrumors newbie

    Joined:
    Jan 28, 2009
    #3
    thank you for your quick reply!

    so in the future, do you recommend not upgrading at all? i guess that's the obvious answer but i'm thinking that eventually all applications will cater to the latest version of firmware, therefore making it hard to use them unless you upgrade. perhaps you have to jailbreak your phone a few times if you want to stay on top of it all?
     
  4. bytethese macrumors 68030

    bytethese

    Joined:
    Jun 20, 2007
    Location:
    Cranford, NJ
    #4
    No problem.

    I always tell people the following when it comes to upgrading their jailbroken iPhones:

    Consider any new functionality or stability improvements the new update offers. If it's something cool that you would use or fixes something significantly, consider the time it takes to jailbreak and load the firmware. If it's worth your time and you want the new/more stable firmware, AND it's able to be jailbroken by Pwnage Tool, etc I say go for it.

    For me personally, I'm still on 2.2. I didn't see any real reason to upgrade to 2.2.1. I upgraded 1.1.4 to 2.1 (I waited for the bugs to worked out from the app store at the time) and then 2.1 and 2.2 however (the street view was worth it for me to jailbreak the newer firmware).

    I hope that makes sense for ya. :)
     
  5. thetornskirt thread starter macrumors newbie

    Joined:
    Jan 28, 2009
    #5
    thank you for explaining that to me! and for your patience hehe
     

Share This Page